Bug 10492 - Configure does not find that Solaris ACLs are available
Configure does not find that Solaris ACLs are available
Status: RESOLVED FIXED
Product: Samba 4.0
Classification: Unclassified
Component: Build
4.0.15
All Solaris
: P5 normal
: ---
Assigned To: Andrew Bartlett
Samba QA Contact
:
: 10362 (view as bug list)
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2014-03-09 16:45 UTC by Tom Schulz
Modified: 2015-10-07 16:06 UTC (History)
1 user (show)

See Also:


Attachments
ACL detection patch (3.89 KB, patch)
2014-05-08 15:49 UTC, Tom Schulz
no flags Details
My ACL detection patch (597 bytes, patch)
2014-05-08 15:53 UTC, Tom Schulz
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Tom Schulz 2014-03-09 16:45:09 UTC
This problem is in both Samba 4.0.15 and 4.1.5. The configure system does not find that Solaris ACLS are available. The recent fix applied to the git master by Andrew Bartlett fixes this. Please backport  this to the 4.0 and 4.1 series.
Comment 1 Tom Schulz 2014-03-17 19:48:45 UTC
I thought that I did some testing and found the the fix for this bug did not fix
bug 10362. I must have not done the test I thought I did. The fix for this bug DOES fix Bug 10362.
Comment 2 Björn Jacke 2014-03-19 17:45:27 UTC
*** Bug 10362 has been marked as a duplicate of this bug. ***
Comment 3 Tom Schulz 2014-05-07 18:23:11 UTC
As a test, I copied the patched source3/wscript and source3/lib/sysacls.c from the patched git master into Samba 4.1.7. The result configured, built & installed without errors.

The output from configure changed from that produced with my own source/wscript patch as follows:

+ Checking for libarchive existence
+ Checking for system libarchive >= 3.1.2               : not found 

+ Checking for library acl                      : not found 
+ Checking for acl_get_file                     : not found 
+ Checking for POSIX ACL support                : not found 

- Using solaris ACLs
+ Using solaris or UnixWare ACLs

+ Checking for header linux/fs.h                : no 

+ Checking for libarchive existence
+ Checking for system libarchive >= 3.1.2               : not found 

+ Checking for library acl                      : not found 
+ Checking for acl_get_file                     : not found 
+ Checking for POSIX ACL support                : not found 

- Using solaris ACLs
+ Using solaris or UnixWare ACLs

The output from build changed as follows:

+  Linking default/source3/winbindd/libidmap-ad.so
+  Linking default/source3/winbindd/libnss-info-rfc2307.so
+  Linking default/source3/winbindd/libnss-info-sfu.so
+  Linking default/source3/winbindd/libnss-info-sfu20.so

And the following files not normally installed with 4.1.7 were installed:

lib/idmap:
ad.so

lib/nss_info:
rfc2307.so   sfu.so    sfu20.so
Comment 4 Tom Schulz 2014-05-08 15:49:32 UTC
Created attachment 9926 [details]
ACL detection patch

Just the part of the patched git master that has to do with ACLs transplanted into Samba 4.1.7. The output of configure changed from that produced with my own source3/wscript patch as follows.

+ Checking for library acl              : not found 
+ Checking for acl_get_file             : not found 
+ Checking for POSIX ACL support        : not found 

- Using solaris ACLs
+ Using solaris or UnixWare ACLs

+ Checking for library acl              : not found 
+ Checking for acl_get_file             : not found 
+ Checking for POSIX ACL support        : not found 

- Using solaris ACLs
+ Using solaris or UnixWare ACLs

There were no changes in the output of build.
Comment 5 Tom Schulz 2014-05-08 15:53:57 UTC
Created attachment 9927 [details]
My ACL detection patch

Just for completeness, the patch that I have been using.
Comment 6 Tom Schulz 2015-03-16 15:23:42 UTC
This problem is fixed in 4.2.0 release.
A backport to 4.1.* would be nice, but if that is not going to happen then this bug can be closed.
Comment 7 Tom Schulz 2015-10-07 16:06:38 UTC
Fixed in 4.2.0. A back port to 4.1.* would have been nice but is not going to happen.